import Vue from 'vue'
import Vuex from 'vuex'
import user from './modules/user.js'
import activity from './modules/activity'
import report from './modules/report'
import audio from './modules/audio'
Vue.use(Vuex);//vue的插件机制

//Vuex.Store 构造器选项
const store = new Vuex.Store({
    state:{},
	mutations:{},
	actions:{},
	modules:{
		user,
		activity,
		report,
		audio
	}
})
export default store